echo off
type demo1.dat >> dem.tst
echo . >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
echo No.1 Sort the above directory listing using all defaults. >> dem.tst
echo Note that it is identical to the DOS SORT. >> dem.tst
echo "e:srt < demo1.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b < demo1.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.2 Sort the directory listing by file size as numbers, smallest first. >> dem.tst
echo This too is identical to the output from SORT /+13. >> dem.tst
echo "e:srt /N3.8 < demo1.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /N3.8 < demo1.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.3 Sort the directory listing by file size as numbers, largest first. >> dem.tst
echo Again, SORT /r /+13 does the same thing. >> dem.tst
echo "e:srt /n3.8 /R < demo1.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /n3.8 /R < demo1.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.4 Sort the directory listing by file date, time, size; latest, largest first. >> dem.tst
echo We have left SORT behind; it cannot even attempt any more with this file. >> dem.tst
echo "e:srt /d4 /T5 /n3.7 /r4 /r3 /r5 < demo1.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /d4 /T5 /n3.7 /r4 /r3 /r5 < demo1.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.5 Sort the directory listing by date, reverse sort duplicates by >> dem.tst
echo extension, duplicate extensions normally by name.  Note that fields >> dem.tst
echo four and two are constant width.  Dates do not get special "date" treatment. >> dem.tst
echo "e:srt /$4.10 /$2.3 /$1 /R2 < demo1.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /$4.10 /$2.3 /$1 /R2 < demo1.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.6 Reverse sort by date then extension, then normal sort by name. >> dem.tst
echo Note that fields one and two are NOT constant width, the BOX.B line is >> dem.tst
echo therefore out of place in the sort. >> dem.tst
echo "e:srt /$4.10 /$2 /$1 /R2 /r4 < demo1.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /$4.10 /$2 /$1 /R2 /r4 < demo1.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
type demo2.dat >> dem.tst
echo . >> dem.tst
echo No.7 Default sort the table. (Almost identical to SORT.) >> dem.tst
echo The Combsort algorithm encounters the fields in a different order from >> dem.tst
echo the order SORT does - the equal fields are not necessarily in the same order >> dem.tst
echo It should be noted that the lines that are in different places are case  >> dem.tst
echo insensitive equivalents and sort as identical.  They wind up together, >> dem.tst
echo but not necessarily in the same order. >> dem.tst
echo "e:srt < demo2.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b < demo2.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No. 8 Sort with defaults except that column 1 is case sensitive. >> dem.tst
echo SORT cannot do this or the remaining demo2.dat sorts. >> dem.tst
echo "e:srt /$1.8 /$2.8 /$3.8 /$4.8 /c1 < demo2.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /$1.8 /$2.8 /$3.8 /$4.8 /c1 < demo2.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.9 Sort tables as if the fields were in the order 4 3 2 1. >> dem.tst
echo Treat the number fields as decimal numbers.  Case insensitive sort. >> dem.tst
echo "e:srt /n4.7.4 /$3.8 /N2.4.4 /$1 < demo2.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /n4.7.4 /$3.8 /N2.4.4 /$1 < demo2.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.10 Normal sort field 1, then reverse sort column 2 then 4 as numbers >> dem.tst
echo Note the double reverse sort >> dem.tst
echo "e:srt /r /R1 /$1.10 /n2.5.4 /n4.5 < demo2.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /r /R1 /$1.10 /n2.5.4 /n4.5 < demo2.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.11 Normal sort the number fields 2 and 4, then reverse sort the >> dem.tst
echo word fields 3 and 1. >> dem.tst
echo "e:srt /n2.6.4 /n4.7.4 /$3.10 /$1 /R3 /r1 < demo2.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /n2.6.4 /n4.7.4 /$3.10 /$1 /R3 /r1 < demo2.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
type demo3.dat >> dem.tst
echo No.12 Sort dates as strings.  Note that the years 9 and 193 always sort wrong. >> dem.tst
echo They are outside the specified range of the date converter and are included to >> dem.tst
echo show the effect of defective data.  Note that this is the only date sort >> dem.tst
echo that SORT can even attempt.  This one is identical to the DOS SORT. >> dem.tst
echo "e:srt < demo3.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b < demo3.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.13 Sort dates as numbers. Note the effect the delimiters have. >> dem.tst
echo This is included to show the importance of proper field type selection. >> dem.tst
echo There is no SORT equivalent. >> dem.tst
echo "e:srt /n1.8 < demo3.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /n1.8 < demo3.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.14 Sort dates as dates. SORT cannot deal with dates as dates. >> dem.tst
echo "e:srt /d1 < demo3.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /d1 < demo3.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.15 Reverse sort as dates. >> dem.tst
echo "e:srt /d1 /r < demo3.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /d1 /r < demo3.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.16 Normal sort as European dates. >> dem.tst
echo "e:srt /d-1 < demo3.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /d-1 < demo3.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo No.17 Reverse sort as European dates. >> dem.tst
echo "e:srt /d-1 /R < demo3.dat" >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
e:srt /b /d-1 /R < demo3.dat >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst
echo That ends the E:SRT demo.  The screen will clear when the batch file exits. >> dem.tst
echo[ >> dem.tst
echo[ >> dem.tst
:cls >> dem.tst

